Bug 1412383 - [RFE] Add performance based reports for OSE/OCP providers
Summary: [RFE] Add performance based reports for OSE/OCP providers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Ari Zellner
QA Contact: Dafna Ron
URL:
Whiteboard: container
Depends On: 1376377
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 22:05 UTC by Satoe Imaishi
Modified: 2020-04-15 15:05 UTC (History)
12 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1376377
Environment:
Last Closed: 2017-02-27 19:22:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-11 22:10:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9ac3f851f2e474e62c83509154ddc3ab48257cf6

commit 9ac3f851f2e474e62c83509154ddc3ab48257cf6
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jan 5 09:52:43 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 11 17:06:46 2017 -0500

    Merge pull request #11904 from zeari/vim_performance_container
    
    Add option for container performance reports
    (cherry picked from commit d379d4c7c30437a0702b992a8e36077dbb69ad6c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412383

 app/models/container_group_performance.rb   | 5 +++++
 app/models/container_node_performance.rb    | 5 +++++
 app/models/container_performance.rb         | 5 +++++
 app/models/container_project_performance.rb | 5 +++++
 lib/miq_expression.rb                       | 6 ++++++
 locale/en.yml                               | 4 ++++
 6 files changed, 30 insertions(+)
 create mode 100644 app/models/container_group_performance.rb
 create mode 100644 app/models/container_node_performance.rb
 create mode 100644 app/models/container_performance.rb
 create mode 100644 app/models/container_project_performance.rb

Comment 3 Dafna Ron 2017-01-27 14:42:44 UTC
will I see the reports in the container reports or performance by asset reports. 
also, this is a long thread and I am not sure which of the reports were actually added to the 5.7.1 build so can you please specify what are the reports names that I should look for?

Comment 4 Ari Zellner 2017-01-31 13:51:53 UTC
Dafna, Reports mentioned here: https://github.com/ManageIQ/manageiq/pull/11904

I added 
* Performance Container
* Performance ContainerNode
* Performance ContainerProject
* Performance Pod

Comment 5 Dafna Ron 2017-01-31 13:59:40 UTC
based on above comment, moving to verified for cfme-5.7.1.0-2.el7cf.x86_64 deployed on a pod. 

4 reports are available on the "add new report" menu.

Comment 7 errata-xmlrpc 2017-02-27 19:22:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.